Интересная альтернатива для простого определения современных и устарелых браузеров, когда нужно, например, подгружать разные скрипты или функционал в зависимости от браузера клиента, ранее с этой задачей справлялся популярный modernizr.js Возможно такое решение упростит кому-то жизнь:

Пройдут проверку на поддержку HTML5: IE9+, FF3.5+, Opera9+, Safari4+, Chrome1+, iOS1+, Android телефоны и планшеты 2.1+, Blackberry OS6+, Win 7.5+, Mobile Firefox, Opera Mobile

Не пройдут проверку на HTML5: IE8-, Blackberry OS5-, Nokia S60 v6-, Nokia S40, Symbian, Windows 7 phone и множество других устарелых устройств.

Почитать по еще по теме — Server Side Mustard Cut (css-tricks.com)